use axum::{routing::get, Router};

use crate::state::AppState;

pub mod domain;
pub mod state;
pub mod views;

pub fn routes() -> Router<AppState> {
    Router::new()
        .route("/", get(views::index).post(views::index_action))
        .route("/app/:app_name", get(views::list_app))
        .route(
            "/app/:app_name/:model_name",
            get(views::list_item_collection),
        )
        .route(
            "/app/:app_name/:model_name/detail/:model_id",
            get(views::item_details),
        )
}
